* {
	box-sizing: border-box;
}

body {
    background: var(--login-bgcolor);
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	font-family: var(--login-ft-family);
	height: 100vh;
	margin: -20px 0 50px;
}

h1 {
	font-weight: bold;
	margin: 0;
}

h2 {
	text-align: center;
}

p {
	font-size: var(--ft-size10);
	font-weight: 100;
	line-height: 20px;
	letter-spacing: 0.5px;
	margin: 20px 0 30px;
}

span {
	font-size: var(--ft-size12);
}

a {
	color: var(--login-a-color);
	font-size: var(--ft-size14);
	text-decoration: none;
	margin: 15px 0;
}

button {
	border-radius: var(--login-brdrad-button);
	border: 1px solid var(--login-btn-bgcolor);
	background-color: var(--login-btn-bgcolor);
	color: var(--login-btn-color);
	font-size: 12px;
	font-weight: bold;
	padding: 12px 45px;
	letter-spacing: 1px;
	text-transform: uppercase;
	transition: transform 5ms ease-in;
	_box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);

}

button:active {
	transform: scale(0.95);
}

button:focus {
	outline: none;
}

button:hover {
  transform: scale(1.2);
  background-position: -60px;
  _box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}

.button-animated {
    animation: moveInBottom 5s ease-out;
    animation-fill-mode: backwards;
}

button.ghost {
	background-color: transparent;
	border-color: #FFFFFF;
	
}

.ghost, .noghost {
	font-size: var(--ft-size10); 
	font-weight: var(--ft-bold); 
	//Sombra no texto;
	text-shadow: var(--login-txt-shadow);
	//Sombra na borda;
	box-shadow: var(--login-bdr-shadow);
}


@keyframes moveInBottom {
    0% {
        opacity: 0;
        transform: translateY(30px);
    }

    100% {
        opacity: 1;
        transform: translateY(0px);
    }
}

form {
	background-color: var(--login-frm-bgcolor);
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	padding: 0 50px;
	height: 100%;
	text-align: center;
}

.input-container {
	position: relative; /* Essencial para o posicionamento absoluto do ícone */
	display: flex; /* Opcional, para alinhar melhor o input e o ícone */
	align-items: center; /* Opcional, para centralizar verticalmente */
	width: 100%;
	font-size: var(--ft-size12);
	
}

.input-container:focus{
	box-shadow: 10px 10px 10px #152987 !important;
	font-style: normal;
	font-weight: bold;
	font-size: var(--ft-size14);
	outline: none;
	transform: scale(1.02);
}

.input-icon {
  position: absolute;
  left: 10px; /* Ajuste conforme necessário */
  top: 50%; /* Centraliza verticalmente */
  transform: translateY(-50%); /* Ajusta a posição vertical */
  color: #888; /* Cor do ícone */
  pointer-events: none; /* Impede que o ícone interfira com cliques no input */
  _width:25px;
  _border:1px solid black;
  padding-top:5px;
  padding-left:5px;
  scale:1.3;
  color: gray;
}

.input-field {
	border: none;
	padding-left:30px;

	margin: 8px 0;
	width: 100%;
	height: 40px;

	border-radius: var(--login-brdrad-input)  !important;

	border-left: 7px solid var(--login-btn-bgcolor);
	border-right: 1px solid var(--login-btn-bgcolor);
	border-top: 1px solid var(--login-btn-bgcolor);
	border-bottom: 1px solid var(--login-btn-bgcolor);
	border-radius: var(--login-brdrad-button);
	background: var(--login-input-bg-color);

}

.input-message {
	border: none;
	width: 100%;
	height: 40px;
	background: var(--login-input-bg-color);
	text-align: center;
	font-weight:bold;
}

.input-message::placeholder{
  text-align: center; /* Centraliza o texto */
  /* Outras propriedades como cor, fonte, etc. */
}


//input cinza da nova senha
#idSenhaNova, #idSenhaRepete {
	background-color: #C0C0C0;COR_DISABLED;
}


.container-login {
	background-color: var(--login-color);
	border-radius: var(--login-brdrad-container);
  	box-shadow: 0 15px 30px rgba(0,0,0,0.25), 0 12px 12px rgba(0,0,0,0.22);
	position: relative;
	overflow: hidden;
	width: var(--login-container-width);
	max-width: 100%;
	min-height: var(--login-container-height);
}

.form-container-login {
	position: absolute;
	top: 0;
	height: 100%;
	transition: all 0.6s ease-in-out;
}

.sign-in-container-login {
	left: 0;
	width: 50%;
	z-index: 2;
}

.container-login.right-panel-active .sign-in-container-login {
	//Esquerda para direita;
	transform: translateX(100%);
	_border-radius: 80px 10px 10px 80px;
	_animation: show2 0.6s;

}

.sign-up-container-login {
	left: 0;
	width: 50%;
	opacity: 0;
	z-index: 1;
}

.container-login.right-panel-active .sign-up-container-login {
	transform: translateX(100%);
	opacity: 1;
	z-index: 5;
	animation: show 0.6s;
	_border-radius: 10px 80px 80px 10px;
}

@keyframes show {
	0%, 49.99% {
		_opacity: 0;
		z-index: 1;
	}
	50%, 100% {
		_opacity: 1;
		z-index: 5;
	}
}

.overlay-container-login {
	//inicial;
	border-radius: var(--login-brdrad-overlay);
	position: absolute;
	top: 0;
	left: 50%;
	width: 50%;
	height: 100%;
	overflow: hidden;
	transition: transform 0.6s ease-in-out;
	z-index: 100;
}

.container-login.right-panel-active .overlay-container-login{
	//direita para esquerda
	_border-radius: 100px 10px 10px 100px;
	transform: translateX(-100%);

}

.overlay {
	background: var(--login-ovl-bgcolor);
	background: -webkit-linear-gradient(to right, var(--login-btn-bgcolor),var(--login-bgcolor));
	background: linear-gradient(to right, var(--login-btn-bgcolor),var(--login-bgcolor));
	background-repeat: no-repeat;
	background-size: cover;
	background-position: 0 0;
	color: var(--login-txt-color);
	position: relative;
	left: -100%;
	height: 100%;
	width: 200%;
  	transform: translateX(0);
	transition: transform 0.6s ease-in-out;
}

.container-login.right-panel-active .overlay {
  	transform: translateX(50%);
}

.overlay-panel {
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	padding: 0 40px;
	text-align: center;
	top: 0;
	height: 100%;
	width: 50%;
	transform: translateX(0);
	transition: transform 0.6s ease-in-out;
}

.overlay-left {
	border-radius: var(--login-brdrad-ovl-left);
	transform: translateX(-20%);

}

.container-login.right-panel-active .overlay-left {
	transform: translateX(0);
}

.overlay-right {
	border-radius: var(--login-brdrad-ovl-right);
	right: 0;
	transform: translateX(0);
}

.container-login.right-panel-active .overlay-right {
	transform: translateX(20%);
	border-radius: 100px;
}

.pTituloSombra {
	font-family: var(--sistema-ft-family);
	font-size: var(--ft-size32); 
	font-style: normal;
	font-weight: var(--ft-bold:); 
	color: var(--login-color); 
	text-shadow: var(--login-txt-shadow);
}

.pModifiqueSombra {
	font-family: var(--sistema-ft-family);
	font-size: 26px; var(--ft-size32); 
	font-style: normal;
	font-weight: bold;var(--ft-bold:); 
	color: #6495ed;var(--login-btn-bg-color); 
	_text-shadow: var(--login-txt-shadow);
}


